org.apache.mina.core.session

## Class DefaultIoSessionDataStructureFactory

- java.lang.Object
- - org.apache.mina.core.session.DefaultIoSessionDataStructureFactory

- All Implemented Interfaces:
    IoSessionDataStructureFactory

      public class DefaultIoSessionDataStructureFactory
      extends Object
      implements IoSessionDataStructureFactory

  The default `IoSessionDataStructureFactory` implementation that creates a new `HashMap`-based `IoSessionAttributeMap` instance and a new synchronized `ConcurrentLinkedQueue` instance per `IoSession`.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultIoSessionDataStructureFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IoSessionAttributeMap` | `getAttributeMap(IoSession session)` Returns an `IoSessionAttributeMap` which is going to be associated with the specified `session`.
    `WriteRequestQueue` | `getWriteRequestQueue(IoSession session)` Returns an `WriteRequest` which is going to be associated with the specified `session`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultIoSessionDataStructureFactory

          public DefaultIoSessionDataStructureFactory()

  - ### Method Detail

    - #### getAttributeMap

          public IoSessionAttributeMap getAttributeMap(IoSession session)
                                                throws Exception

      Description copied from interface: `IoSessionDataStructureFactory`
      Returns an `IoSessionAttributeMap` which is going to be associated with the specified `session`. Please note that the returned implementation must be thread-safe.
      Specified by:
        `getAttributeMap` in interface `IoSessionDataStructureFactory`
      Throws:
        `Exception`

    - #### getWriteRequestQueue

          public WriteRequestQueue getWriteRequestQueue(IoSession session)
                                                 throws Exception

      Description copied from interface: `IoSessionDataStructureFactory`
      Returns an `WriteRequest` which is going to be associated with the specified `session`. Please note that the returned implementation must be thread-safe and robust enough to deal with various messages types (even what you didn't expect at all), especially when you are going to implement a priority queue which involves `Comparator`.
      Specified by:
        `getWriteRequestQueue` in interface `IoSessionDataStructureFactory`
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.